当前任何版本的Oracle客户端在任何版本的WINDOWS7上都无法正常完成安装。主要是因为Oracle安装的先决条件里操作系统版本不符合,但是这个问题可以修改refhost.xml(位于Oracle 10G\database\stage\prereq\db)解决,具体是在refhost.xml中添加
  <!--Microsoft Windows 7-->
  <OPERATING_SYSTEM>
  <VERSION VALUE="6.1"/>
  </OPERATING_SYSTEM>
即可,不需要添加X32或者X64,注意ORACLE10G或者11有可能有多个refhost.xml文件,都需要修改(好像部分版本需要修改oraparam.ini文件 自己搜索一下吧)。这样可以在检查操作系统的时候绕过检查。

 

 

以下是我所使用的Oracle中的参数详情:

Oracle Database 10g Enterprise Edition Release 10.2.0.1.0 - Prod;

PL/SQL Release 10.2.0.1.0 - Production;

CORE 10.2.0.1.0 Production;

TNS for 32-bit Windows: Version 10.2.0.1.0 - Production;

NLSRTL Version 10.2.0.1.0 - Production;